Bug 625900 - STR #3436: Jobs buttons not working correctly when viewing a specific printer
STR #3436: Jobs buttons not working correctly when viewing a specific printer
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tim Waugh
qe-baseos-daemons
: Patch
Depends On:
Blocks: 668957
  Show dependency treegraph
 
Reported: 2010-08-20 14:14 EDT by Bryan Mason
Modified: 2012-02-20 22:09 EST (History)
7 users (show)

See Also:
Fixed In Version: cups-1.3.7-28.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-20 22:09:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (505 bytes, patch)
2010-08-20 14:16 EDT, Bryan Mason
no flags Details | Diff
also based on upstream pacth... (495 bytes, patch)
2010-10-29 15:45 EDT, Jonathan Peatfield
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 3436 None None None Never
Red Hat Product Errata RHSA-2012:0302 normal SHIPPED_LIVE Low: cups security and bug fix update 2012-02-21 02:24:35 EST

  None (edit)
Description Bryan Mason 2010-08-20 14:14:38 EDT
Description of problem:

    After selecting a printer to view under the Printers tab in the
    web interface; the "Show Completed Jobs," "Show All Jobs," and
    "Show Active Jobs" buttons do not behave properly.  They should be
    showing results based on the specific printer selected, but they
    are showing results globally across all printers.

Version-Release number of selected component (if applicable):

    cups-1.3.7-11.el5

How reproducible:

    100%

Steps to Reproduce:

    1. Install RHEL 5.5 with cups
    2. Add various printers and send some jobs to be printed
    3. Access CUPS web interface and click "Printers"
    4. Select a printer
    5. Click "Show Completed Jobs" or "Show All Jobs"
  
Actual results:

    Jobs from all printers are shown.

Expected results:

    Jobs from only the selected printer should be shown.

Additional info:

    Appears to be the same as STR #3436.  Patch from that STR has
    resolved the situation in the customer's environment.
Comment 1 Bryan Mason 2010-08-20 14:16:25 EDT
Created attachment 440007 [details]
Proposed patch

Patch adapted from upstream by ndevos@redhat.com
Comment 2 Jonathan Peatfield 2010-10-29 15:42:59 EDT
I note that he upstream patch at http://www.cups.org/strfiles/3436/str3436.patch seems to set PRINTER_URI_SUPPORTED to be a URL fragment rather than the destination as the above patch does.

Since the str3436 patch is for a version of cups which doesn't add ? to the end of the url fragment at this point I went for an ugly hack to mimic the behaviour as closely as possible, and in simple tests it seems to work for us.
Comment 3 Jonathan Peatfield 2010-10-29 15:45:07 EDT
Created attachment 456547 [details]
also based on upstream pacth...

Just my (ugly) version of the patch...
Comment 4 RHEL Product and Program Management 2011-05-31 10:41:08 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 10 errata-xmlrpc 2012-02-20 22:09:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0302.html

Note You need to log in before you can comment on or make changes to this bug.